package com.alihealth.d2d.provtest.VO;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 药品发货单与收货单信息的中间层，按照时间进行排序
 */
@Data
public class DrugInvoiceAndDeliveryInfoVO implements Serializable {

    private static final long serialVersionUID = -9217183676850562960L;

    /**
     * 时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date sj;

    /**
     * 公司信用代码
     */
    private String tyshxydm;

    /**
     * 公司名称
     */
    private String gsmc;

    /**
     * 订单号
     */
    private String ddh;

    /**
     * 单据类型 : delivery : 收货单，invoice : 发货单
     */
    private String djlx;

}
