package com.alihealth.d2d.provtest.mapper;

import com.alihealth.d2d.provtest.VO.DrugProductionInfoVO;
import com.alihealth.d2d.provtest.domain.DomesticDrugProductionApplyInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

public interface DomesticDrugProductionApplyInfoMapper extends BaseMapper<DomesticDrugProductionApplyInfo> {

    /**
     * 根据药品追溯码查询药品信息
     * @param ypzsm
     * @return
     */
    DrugProductionInfoVO selectByYpzsm(@Param("ypzsm") String ypzsm);
}
