package com.alihealth.d2d.provtest.mapper;

import com.alihealth.d2d.provtest.VO.DrugDeliveryNoteInfoVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.alihealth.d2d.provtest.domain.DrugDeliveryNoteApplyInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 收货单信息数据子集(DrugDeliveryNoteApplyInfo)表数据库访问层
 *
 * @author makejava
 * @since 2025-06-10 14:29:19
 */
public interface DrugDeliveryNoteApplyInfoMapper extends BaseMapper<DrugDeliveryNoteApplyInfo> {

    /**
     * 根据ypzsm查询收货单信息
     * @param ypzsm
     * @return
     */
    List<DrugDeliveryNoteInfoVO> selectByYpzsm(@Param("ypzsm") String ypzsm);
}

