package com.alihealth.d2d.provtest.mapper;

import com.alihealth.d2d.provtest.VO.DrugInvoiceInfoVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.alihealth.d2d.provtest.domain.DrugInvoiceApplyInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 发货单信息数据子集(DrugInvoiceApplyInfo)表数据库访问层
 *
 * @author makejava
 * @since 2025-06-10 14:29:20
 */
public interface DrugInvoiceApplyInfoMapper extends BaseMapper<DrugInvoiceApplyInfo> {

    /**
     * 根据药品追溯码查询发货单信息
     * @param ypzsm
     * @return
     */
    List<DrugInvoiceInfoVO> selectByYpzsm(@Param("ypzsm") String ypzsm);
}

