package com.alihealth.d2d.provtest.VO;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 描述: 药品发货单信息
 */
@Data
public class DrugInvoiceInfoVO implements Serializable {

    private static final long serialVersionUID = 6502538268319598412L;

    /** 发货时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date fhsj;

    /** 发货公司社会信用代码 */
    private String tyshxydmfhjg;

    /** 发货公司名称 */
    private String fhjgmc;

    /** 发货单号 */
    private String fhdbh;
}
