package com.alihealth.d2d.provtest.service.impl;

import com.alihealth.d2d.provtest.domain.DomesticDrugBaseInfo;
import com.alihealth.d2d.provtest.domain.vo.EnterpriseScanCode;
import com.alihealth.d2d.provtest.mapper.DataStatisticsMapper;
import com.alihealth.d2d.provtest.mapper.DomesticDrugBaseInfoMapper;
import com.alihealth.d2d.provtest.service.IDataStatisticsService;
import com.alihealth.d2d.provtest.service.IDomesticDrugBaseInfoService;
import com.alihealth.d2d.provtest.utils.CertManager;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author Jason
 * @date 2025年06月13日 15:35:30
 */
@Service
public class DataStatisticsServiceImpl implements IDataStatisticsService {
    @Autowired
    private DataStatisticsMapper mapper;



    @Override
    public Page<EnterpriseScanCode> pageScanCode(Page<EnterpriseScanCode> page, String name, String socialCreditCode, String type) {
        return mapper.pageScanCode(page, name, socialCreditCode,type);
    }
}
